net.i2p.client.impl

## Class RequestLeaseSetMessageHandler

- java.lang.Object
- - net.i2p.client.impl.HandlerImpl
  - - net.i2p.client.impl.RequestLeaseSetMessageHandler

- All Implemented Interfaces:
    I2CPMessageHandler
  Direct Known Subclasses:
    RequestVariableLeaseSetMessageHandler

      class RequestLeaseSetMessageHandler
      extends HandlerImpl

  Handle I2CP RequestLeaseSetMessage from the router by granting all leases, using the specified expiration time for each lease.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_ls2Type`
    `static String` | `PROP_LS_TYPE`

    - ### Fields inherited from class net.i2p.client.impl.HandlerImpl

      `_context, _log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RequestLeaseSetMessageHandler(I2PAppContext context)`
    `protected` | `RequestLeaseSetMessageHandler(I2PAppContext context, int messageType)` For extension

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(I2CPMessage message, I2PSessionImpl session)`
    `protected boolean` | `requiresLS2(I2PSessionImpl session)` Do we send a LeaseSet or a LeaseSet2? Side effect: sets _ls2Type
    `protected void` | `signLeaseSet(LeaseSet leaseSet, boolean isLS2, I2PSessionImpl session)` Finish creating and signing the new LeaseSet

    - ### Methods inherited from class net.i2p.client.impl.HandlerImpl

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _ls2Type

          protected volatile int _ls2Type

    - #### PROP_LS_TYPE

          public static final String PROP_LS_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RequestLeaseSetMessageHandler

          public RequestLeaseSetMessageHandler(I2PAppContext context)

    - #### RequestLeaseSetMessageHandler

          protected RequestLeaseSetMessageHandler(I2PAppContext context,
                                                  int messageType)

      For extension

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(I2CPMessage message,
                                    I2PSessionImpl session)

    - #### requiresLS2

          protected boolean requiresLS2(I2PSessionImpl session)

      Do we send a LeaseSet or a LeaseSet2? Side effect: sets _ls2Type

    - #### signLeaseSet

          protected void signLeaseSet(LeaseSet leaseSet,
                                      boolean isLS2,
                                      I2PSessionImpl session)

      Finish creating and signing the new LeaseSet